/* ************************************************************************
 * Copyright (C) 2016-2023 Advanced Micro Devices, Inc. All rights reserved.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell cop-
 * ies of the Software, and to permit persons to whom the Software is furnished
 * to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IM-
 * PLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
 * COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
 * IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNE-
 * CTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 *
 * ************************************************************************ */

/* the configured version and settings
 */
#ifndef ROCBLAS_VERSION_H
#define ROCBLAS_VERSION_H

// clang-format off
#define ROCBLAS_VERSION_MAJOR       4
#define ROCBLAS_VERSION_MINOR       2
#define ROCBLAS_VERSION_PATCH       4
#define ROCBLAS_VERSION_TWEAK       3171316a-dirty
#define ROCBLAS_TENSILE_COMMIT_ID   "3171316ae7f642952fccbffc2ae0368bf67394f5" , "81ae9537671627fe541332c0a5d953bfd6af71d6"
// clang-format on

#endif /* ROCBLAS_VERSION_H */
